TasksReassign a task

Reassign a task

Needs: Tasks, Read-write

Moves a task to another staff member, like Reassign in the task drawer.

curl -X POST "https://app.imploy.com.au/api/integrations/v1/tasks/123/reassign" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "staff_id": 31
}'
{
  "reassigned": 90,
  "assignee_id": 31
}
POST
/tasks/{id}/reassign
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Content-Typestring
Required

The media type of the request body

Options: application/json
staff_idinteger
Required

The new owner. Must be an active staff member.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The task id.

Body

application/json
staff_idinteger
Required

The new owner. Must be an active staff member.

Responses

OK